List connectors
curl --request GET \
--url https://api.motion.so/api/motion/connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.motion.so/api/motion/connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.motion.so/api/motion/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/connectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.motion.so/api/motion/connectors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connectors": [
{
"id": "github",
"name": "GitHub",
"scope": "organization",
"authentication": "oauth",
"available": true,
"unavailable_reason": null,
"input_schema": {
"type": "object",
"properties": {
"connector_id": {
"const": "github"
}
},
"required": [
"connector_id"
],
"additionalProperties": false
},
"permission_options": [
{
"id": "repositories",
"label": "Read repository details",
"write": false
},
{
"id": "code",
"label": "Read and search code",
"write": false
},
{
"id": "issues",
"label": "Read issues and pull requests",
"write": false
},
{
"id": "history",
"label": "Read commits and releases",
"write": false
}
],
"project_usable": true,
"visibility": "private"
},
{
"id": "youtube",
"name": "YouTube",
"scope": "organization",
"visibility": "private",
"authentication": "oauth",
"available": true,
"unavailable_reason": null,
"input_schema": {
"type": "object",
"properties": {
"connector_id": {
"const": "youtube"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"request_id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"connector_id"
],
"additionalProperties": false
},
"permission_options": [
{
"id": "posts",
"label": "Read accounts and posts",
"write": false
},
{
"id": "prepare",
"label": "Prepare posts for approval",
"write": true
},
{
"id": "discard",
"label": "Discard pending proposals",
"write": true
}
],
"project_usable": true
}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Connectors
List connectors
List supported services and their connection requirements.
GET
/
connectors
List connectors
curl --request GET \
--url https://api.motion.so/api/motion/connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.motion.so/api/motion/connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.motion.so/api/motion/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.motion.so/api/motion/connectors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.motion.so/api/motion/connectors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.motion.so/api/motion/connectors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.motion.so/api/motion/connectors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"connectors": [
{
"id": "github",
"name": "GitHub",
"scope": "organization",
"authentication": "oauth",
"available": true,
"unavailable_reason": null,
"input_schema": {
"type": "object",
"properties": {
"connector_id": {
"const": "github"
}
},
"required": [
"connector_id"
],
"additionalProperties": false
},
"permission_options": [
{
"id": "repositories",
"label": "Read repository details",
"write": false
},
{
"id": "code",
"label": "Read and search code",
"write": false
},
{
"id": "issues",
"label": "Read issues and pull requests",
"write": false
},
{
"id": "history",
"label": "Read commits and releases",
"write": false
}
],
"project_usable": true,
"visibility": "private"
},
{
"id": "youtube",
"name": "YouTube",
"scope": "organization",
"visibility": "private",
"authentication": "oauth",
"available": true,
"unavailable_reason": null,
"input_schema": {
"type": "object",
"properties": {
"connector_id": {
"const": "youtube"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"request_id": {
"type": "string",
"format": "uuid"
}
},
"required": [
"connector_id"
],
"additionalProperties": false
},
"permission_options": [
{
"id": "posts",
"label": "Read accounts and posts",
"write": false
},
{
"id": "prepare",
"label": "Prepare posts for approval",
"write": true
},
{
"id": "discard",
"label": "Discard pending proposals",
"write": true
}
],
"project_usable": true
}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"error_description": "<string>",
"required_scope": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"issues": [
{}
]
}Authorizations
MotionApiKeyMotionOAuth
Scopes
Was this page helpful?